Subject: Re: bug#67246: 30.0.50; elixir-ts-mode uses faces inconsistently

From: Wilhelm Kirschbaum <[email-masked]>
Date: Sat, 13 Jan 2024 10:50:23 +0200

On Wed, Jan 10, 2024 at 7:48 PM Stefan Kangas <[email-masked]>
wrote:

> Wilhelm Kirschbaum <[email-masked]> writes:
>
> > Thanks, I have one or two more change related to this issue coming.
>
> Any updates here?
>

This patch is the last of the fontification patches for now. Once these are
installed I think we can close this. I will work on some indentation
changes later, but don't think they need to be part of this issue.

Wilhelm
From 3845d869211069f3361c9e02077c60ecefb7110a Mon Sep 17 00:00:00 2001
From: Wilhelm Kirschbaum <[email-masked]>
Date: Fri, 29 Dec 2023 17:09:00 +0200
Subject: [PATCH] Add access_call fontification to elixir-ts-mode

* lisp/progmodes/elixir-ts-mode.el:
(elixir-ts--font-lock-settings):
Add access_call queries to the elixir-variable feature.
---
 lisp/progmodes/elixir-ts-mode.el | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/lisp/progmodes/elixir-ts-mode.el b/lisp/progmodes/elixir-ts-mode.el
index b493195eedd..2c7323c318d 100644
--- a/lisp/progmodes/elixir-ts-mode.el
+++ b/lisp/progmodes/elixir-ts-mode.el
@@ -546,7 +546,9 @@ elixir-ts--font-lock-settings
      (body (identifier) @font-lock-variable-name-face)
      (unary_operator operand: (identifier) @font-lock-variable-name-face)
      (interpolation (identifier) @font-lock-variable-name-face)
-     (do_block (identifier) @font-lock-variable-name-face))
+     (do_block (identifier) @font-lock-variable-name-face)
+     (access_call target: (identifier) @font-lock-variable-name-face)
+     (access_call "[" key: (identifier) @font-lock-variable-name-face "]"))
 
    :language 'elixir
    :feature 'elixir-builtin
-- 
2.34.1